AurionAI Docs

Search Conversations V2

POST
/api/v2/conversations/search

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/conversations/search" \  -H "Content-Type: application/json" \  -d '{}'
{
  "items": [
    {
      "ai_triage_hint": "string",
      "ai_triage_hint_type": "string",
      "archived_at": "2019-08-24T14:15:22Z",
      "assigned_at": "2019-08-24T14:15:22Z",
      "assignee_team_id": "string",
      "assignee_team_name": "string",
      "assignee_user_id": "string",
      "assignee_user_name": "string",
      "assignment_reason": "string",
      "category": "string",
      "channel": "string",
      "company_name": "string",
      "contact_email": "string",
      "contact_id": "string",
      "contact_name": "string",
      "contact_phone": "string",
      "contact_role": "string",
      "conversation_type": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "current_sentiment_label": "string",
      "current_sentiment_score": 0,
      "deleted_at": "2019-08-24T14:15:22Z",
      "department_id": "string",
      "detected_language": "string",
      "id": "string",
      "impact": "string",
      "is_read": true,
      "is_spam": false,
      "last_message_snippet": "string",
      "merged_at": "2019-08-24T14:15:22Z",
      "merged_by": "string",
      "merged_into_id": "string",
      "priority": "string",
      "sentiment_trend": "string",
      "sla_first_response_due": "2019-08-24T14:15:22Z",
      "sla_last_escalation_at": "2019-08-24T14:15:22Z",
      "sla_resolution_due": "2019-08-24T14:15:22Z",
      "sla_state": "string",
      "snoozed_by": "string",
      "snoozed_until": "2019-08-24T14:15:22Z",
      "source": "string",
      "source_thread_id": "string",
      "status": "string",
      "subject": "string",
      "tags": [
        "string"
      ],
      "updated_at": "2019-08-24T14:15:22Z",
      "urgency": "string",
      "version": 0
    }
  ],
  "limit": 0,
  "offset": 0,
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}